// Unreal Fighting Framework by Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"

#include "IFFStateOwnerInterface.generated.h"

UINTERFACE(MinimalAPI)
class UFFStateOwnerInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class UNREALFIGHTINGFRAMEWORK_API IFFStateOwnerInterface
{
	GENERATED_BODY()

public:
    virtual bool CheckInputSequences(const TArray<FFFInputSequence>& InputSequences) = 0;
};
